Subscription Versions
Get the current active subscription version
Returns the subscription version that is currently in effect. This is the published version whose start date has passed and whose end date is either in the future or null. Returns 404 if the subscription has no active published version.
GET
/
subscriptions
/
{id}
/
versions
/
current
Get the current active subscription version
curl --request GET \
--url https://api.alguna.io/subscriptions/{id}/versions/current \
--header 'Alguna-Version: <alguna-version>' \
--header 'Authorization: Bearer <token>'{
"created_at": "2025-12-15T10:30:00Z",
"entitlements": [
{
"mode": "static",
"type": "boolean",
"allocation": {
"amount": "100000",
"credit_type": "monetary",
"rollover_enabled": true,
"rollover_max_periods": 3
},
"key": "api_access",
"subscription_id": "sub_abc123",
"timing": {
"recurrence": "recurring",
"interval": "monthly"
},
"value": "true",
"version_id": "subv_abc123"
}
],
"id": "subv_abc123",
"items": [
{
"bundle_id": "bun_abc123",
"items": [
{
"price": {
"billing_direction": "arrears",
"charge_on_contract_start": false,
"currency": "USD",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"total": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
],
"units": 10
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly"
},
"metric_ids": [
"<string>"
],
"minimum_spend": {
"amount": "500.00",
"period": "monthly"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
]
},
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"price": {
"billing_direction": "arrears",
"charge_on_contract_start": false,
"currency": "USD",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"total": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
],
"units": 10
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly"
},
"metric_ids": [
"<string>"
],
"minimum_spend": {
"amount": "500.00",
"period": "monthly"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
]
},
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"status": "published",
"subscription_id": "sub_abc123",
"updated_at": "2026-01-01T00:00:00Z",
"description": "Q1 2027 enterprise configuration",
"end_date": "2027-01-01T00:00:00Z",
"plan_id": "pln_abc123",
"start_date": "2026-01-01T00:00:00Z"
}Authorizations
API key authentication. Pass your API key as a Bearer token.
Headers
Available options:
2026-04-01 Path Parameters
Unique identifier for the subscription
Response
Success
When the version was created
Example:
"2025-12-15T10:30:00Z"
Version entitlements
Show child attributes
Show child attributes
Version ID
Example:
"subv_abc123"
Version items
Show child attributes
Show child attributes
Version status
Example:
"published"
Subscription ID
Example:
"sub_abc123"
When the version was last updated
Example:
"2026-01-01T00:00:00Z"
Change description
Example:
"Q1 2027 enterprise configuration"
Version end date
Example:
"2027-01-01T00:00:00Z"
Plan ID
Example:
"pln_abc123"
Version start date
Example:
"2026-01-01T00:00:00Z"
Previous
Get a subscription versionFetches a single version by ID, including its priced items and entitlements.
Next
⌘I
Get the current active subscription version
curl --request GET \
--url https://api.alguna.io/subscriptions/{id}/versions/current \
--header 'Alguna-Version: <alguna-version>' \
--header 'Authorization: Bearer <token>'{
"created_at": "2025-12-15T10:30:00Z",
"entitlements": [
{
"mode": "static",
"type": "boolean",
"allocation": {
"amount": "100000",
"credit_type": "monetary",
"rollover_enabled": true,
"rollover_max_periods": 3
},
"key": "api_access",
"subscription_id": "sub_abc123",
"timing": {
"recurrence": "recurring",
"interval": "monthly"
},
"value": "true",
"version_id": "subv_abc123"
}
],
"id": "subv_abc123",
"items": [
{
"bundle_id": "bun_abc123",
"items": [
{
"price": {
"billing_direction": "arrears",
"charge_on_contract_start": false,
"currency": "USD",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"total": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
],
"units": 10
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly"
},
"metric_ids": [
"<string>"
],
"minimum_spend": {
"amount": "500.00",
"period": "monthly"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
]
},
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"price": {
"billing_direction": "arrears",
"charge_on_contract_start": false,
"currency": "USD",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"total": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
],
"units": 10
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly"
},
"metric_ids": [
"<string>"
],
"minimum_spend": {
"amount": "500.00",
"period": "monthly"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
]
},
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"status": "published",
"subscription_id": "sub_abc123",
"updated_at": "2026-01-01T00:00:00Z",
"description": "Q1 2027 enterprise configuration",
"end_date": "2027-01-01T00:00:00Z",
"plan_id": "pln_abc123",
"start_date": "2026-01-01T00:00:00Z"
}